﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace WorksheetExcelExport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Infragistics.Documents.Excel.Workbook wb = new Infragistics.Documents.Excel.Workbook();
            Infragistics.Documents.Excel.Worksheet worksheet = wb.Worksheets.Add("Test");

            
            // Create column headers for each column 
            worksheet.Rows[0].Cells[0].Value = "A";
            worksheet.Rows[0].Cells[1].Value = "B";
            worksheet.Rows[0].Cells[1].Value = "C";
            worksheet.Rows[0].Cells[1].Value = "D";
            worksheet.Rows[0].Cells[1].Value = "E";
            worksheet.Rows[0].Cells[1].Value = "F";
            worksheet.Rows[0].Cells[1].Value = "G";
            worksheet.Rows[0].Cells[1].Value = "H";

            worksheet.DisplayOptions.PanesAreFrozen = true;
            worksheet.DisplayOptions.FrozenPaneSettings.FirstRowInBottomPane = 2;
            worksheet.DisplayOptions.MagnificationInNormalView = 100;

            worksheet.Rows[0].Height = 1000;

            worksheet.PrintOptions.PaperSize = Infragistics.Documents.Excel.PaperSize.A4;
            worksheet.PrintOptions.PrintRowAndColumnHeaders = true;
            

            //IterateTaskForExcelExport
            foreach (var item in ultraGrid1.Rows)
            {
                Infragistics.Documents.Excel.WorksheetRow row = worksheet.Rows[item.Index];


                //if(row.Index <2) row.Hidden = true;
                row.Cells[0].Value = item.Cells["A"].Value;
                row.Cells[1].Value = item.Cells["B"].Value;
                row.Cells[2].Value = item.Cells["C"].Value;
                row.Cells[3].Value = item.Cells["D"].Value;
                row.Cells[4].Value = item.Cells["E"].Value;
                row.Cells[5].Value = item.Cells["F"].Value;
                row.Cells[6].Value = item.Cells["G"].Value;
                row.Cells[7].Value = item.Cells["H"].Value;


            }
            wb.Save("..\\..\\Test.xls");
            Process.Start(@"..\..\Test.xls");
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            ultraGridExcelExporter1.Export(ultraGrid1, "..\\..\\Test2.xls");
            Process.Start(@"..\..\Test2.xls");
        }

        private void ultraGridExcelExporter1_SummaryCellExported(object sender, Infragistics.Win.UltraWinGrid.ExcelExport.SummaryCellExportedEventArgs e)
        {
            e.CurrentWorksheet.Rows[e.CurrentRowIndex].Cells[e.CurrentColumnIndex].Value = "100.00";

        }
    }
}
